# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::PlyLoader::PlyScalarList Class Reference

Used by PlyLoader. More...

`#include <vlPLY.hpp>`

Inheritance diagram for vl::PlyLoader::PlyScalarList:

List of all members.

## Public Member Functions

| PlyScalarList ()
void | setCountType (EType type)
EType | countType () const
void | setScalarType (EType type)
EType | scalarType () const
const std::vector< PlyScalar > & | scalars () const
std::vector< PlyScalar > & | scalars ()
virtual void | read (VirtualFile *file, bool le)
virtual void | read (TextStream *text)

## Protected Attributes

std::vector< PlyScalar > | mScalars
EType | mScalarType
EType | mCountType

## Detailed Description

Used by PlyLoader.

## Constructor & Destructor Documentation

vl::PlyLoader::PlyScalarList::PlyScalarList | ( |  | ) | `[inline]`

## Member Function Documentation

void vl::PlyLoader::PlyScalarList::setCountType | ( | EType | type | ) | `[inline]`

EType vl::PlyLoader::PlyScalarList::countType | ( |  | ) | const`[inline]`

void vl::PlyLoader::PlyScalarList::setScalarType | ( | EType | type | ) | `[inline]`

EType vl::PlyLoader::PlyScalarList::scalarType | ( |  | ) | const`[inline]`

const std::vector<PlyScalar>& vl::PlyLoader::PlyScalarList::scalars | ( |  | ) | const`[inline]`

std::vector<PlyScalar>& vl::PlyLoader::PlyScalarList::scalars | ( |  | ) | `[inline]`

virtual void vl::PlyLoader::PlyScalarList::read | ( | VirtualFile * | file,
|  | bool | le |
| ) |  |  | `[inline, virtual]`

Implements vl::PlyLoader::PlyPropertyAbstract.

virtual void vl::PlyLoader::PlyScalarList::read | ( | TextStream * | text | ) | `[inline, virtual]`

Implements vl::PlyLoader::PlyPropertyAbstract.

## Member Data Documentation

std::vector<PlyScalar> vl::PlyLoader::PlyScalarList::mScalars`[protected]`

EType vl::PlyLoader::PlyScalarList::mScalarType`[protected]`

EType vl::PlyLoader::PlyScalarList::mCountType`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlPLY.hpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:47 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.